#include <bits/stdc++.h>
using namespace std;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    
    int N;
    cin >> N;
    
    vector<long long> A(N), B(N);
    for(int i = 0; i < N; i++) cin >> A[i];
    for(int i = 0; i < N; i++) cin >> B[i];
    
    long long maksimalna = 0;
    

    for(int L = 0; L < N; L++) {
        long long Xor = 0;
        long long And = B[L];
        
 
        for(int R = L; R < N; R++) {
  
            if(R == L) Xor = A[R];
            else Xor ^= A[R];
            
            if(R > L) And &= B[R];
            
 
            long long trenutna = Xor * And;
            maksimalna = max(maksimalna, trenutna);
        }
    }
    
    cout << maksimalna << "\n";
    
    return 0;
}